aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/firstboot/30_is_rootfs_mounted
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/files/lib/firstboot/30_is_rootfs_mounted')
-rw-r--r--package/base-files/files/lib/firstboot/30_is_rootfs_mounted10
1 files changed, 10 insertions, 0 deletions
diff --git a/package/base-files/files/lib/firstboot/30_is_rootfs_mounted b/package/base-files/files/lib/firstboot/30_is_rootfs_mounted
new file mode 100644
index 000000000..e2ba01d50
--- /dev/null
+++ b/package/base-files/files/lib/firstboot/30_is_rootfs_mounted
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+skip_if_rootfs_mounted() {
+ mount "$mtdpart" /rom/overlay -t jffs2 || exit
+}
+
+boot_hook_add switch2jffs skip_if_rootfs_mounted